.section {
    height: auto;
    text-align: center;
    overflow: auto;
}

.section-1 {
    margin-bottom: 50px;
    margin-left: 80px;
}

.section-title {
    height: 50px;
    border-bottom: 1px solid black;
    margin-bottom: 30px;
}

.section-title-text {
    float: left;
    font-family: worksans-semibold;
}

.search-result-result {
    font-size: 11pt;
    color: #777;
    padding-left: 5px;
}

.section-title-all {
    float: right;
    display: block;
    text-decoration: none;
    color: black;
    font-size: 10pt;
}

.song-item {
    display: block;
    color: black;
    text-decoration: none;
}

.song-title-text {
    margin-top: 17px;
    font-family: worksans-semibold;
}

.song-lyric-text {
    font-family: worksans-regular;
}

@media all and (max-width: 767px) {
    .section-1 {
        margin-top: 140px;
        margin-left: 0;
        text-align: left;
        padding: 0 5vw;
    }

    .section-title-text {
        font-size: 14pt;
    }

    .song-item-container {
        margin-bottom: 40px;
    }

    .song-item:active {
        text-decoration: underline;
    }

    .song-title-text {
        font-size: 12pt;
        line-height: 22px;
    }

    .song-lyric-text {
        font-size: 10pt;
        line-height: 18px;
    }
}

@media all and (min-width: 768px) and (max-width: 1024px) {
    .section-1 {
        margin-top: 40px;
    }

    .section-inner {
        display: inline-block;
        text-align: left;
    }

    .section-1 .section-inner {
        width: calc(100vw - 60px);
    }

    .section-title {
        margin-left: 20px;
    }

    .section-title-text {
        font-size: 16pt;
    }

    .song-item-container {
        margin-left: 70px;
    }

    .song-item {
        float: left;
        clear: both;
    }

    .song-item:active {
        text-decoration: underline;
    }

    .song-title-text {
        font-size: 14pt;
    }

    .song-lyric-text {
        font-size: 11pt;
    }

    .section-2 {
        padding: 40px 0;
    }

    .section-2 .section-inner {
        width: 1230px;
    }

    .article-item {
        width: 285px;
        height: 420px;
        float: left;
        margin-right: 30px;
    }

    .article-image {
        width: 100%;
        height: 180px;
    }

    .article-detail {
        height: 170px;
        padding: 15px;
    }
}

@media all and (min-width: 1025px) {
    .section-1 {
        margin-top: 40px;
    }

    .section-inner {
        display: inline-block;
        text-align: left;
    }

    .section-1 .section-inner {
        width: calc(100vw - 60px);
    }

    .section-title {
        margin-left: 20px;
    }

    .section-title-text {
        font-size: 16pt;
    }

    .song-item-container {
        margin-left: 70px;
        margin-bottom: 50px;
        overflow-y: auto;
    }

    .song-item {
        float: left;
        clear: both;
    }

    .song-item:hover {
        text-decoration: underline;
    }

    .song-title-text {
        font-size: 14pt;
    }

    .song-lyric-text {
        font-size: 11pt;
    }

    .section-2 {
        padding: 40px 0;
    }

    .section-2 .section-inner {
        width: 1230px;
    }

    .article-item {
        width: 285px;
        height: 420px;
        float: left;
        margin-right: 30px;
    }

    .article-image {
        width: 100%;
        height: 180px;
    }

    .article-detail {
        height: 170px;
        padding: 15px;
    }
}